Subject: [clisp-list] Re: PARSE-REAL; PARSE-INTEGER & test_number_syntax

From: Bruno Haible <[email-masked]>
Date: Tue Nov 11 13:04:06 2003

Sam wrote:
> > 2. test_number_syntax expects an attributecode buffer as second
> > argument which it would be stupid to allocate in PARSE-INTEGER.
>
> what's wrong with stack allocation?

1. Stack allocation of Lisp objects doesn't work in some configurations
   (see lispbibl.d:DYNAMIC_8BIT_VECTOR for details),

2. (PARSE-INTEGER "42 then a million of other characters .... "
                  :junk-allowed t)
   should take time O(1) and not O(1000000). It's a performance issue
   that can hit badly if someone uses PARSE-INTEGER to parse a 1 MB
   buffer containing thousands of integers.

Bruno